# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Dec 19 17:16:43 2023
# ------------------------------------------------

package:
  name: libedit
  version: 3.1.20230828
source:
  fn: libedit-20230828-3.1.tar.gz
  patches:
    - 0001-prefer-tinfo-over-curses-and-termcap.patch
  sha256: 4ee8182b6e569290e7d1f44f0f78dac8716b35f656b76528f699c69c98814dad
  url: https://thrysoee.dk/editline/libedit-20230828-3.1.tar.gz
build:
  number: '0'
  run_exports:
    - libedit >=3.1.20230828,<3.2.0a0
  string: h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - autoconf 2.71 pl5340h998d150_0
    - automake 1.16.5 pl5340hd43f75c_1
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gdbm 1.18 hf59d7a7_4
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - m4 1.4.18 hfd63f10_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.4 h419075a_0
    - patch 2.7.6 hfd63f10_1001
    - perl 5.34.0 h998d150_2
    - pkg-config 0.29.2 h2f4d8fa_0
    - readline 8.2 h998d150_0
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
  run:
    - libgcc-ng >=11.2.0
    - ncurses >=6.4,<7.0a0
test:
  commands:
    - test -f $PREFIX/lib/pkgconfig/libedit.pc
    - test -f $PREFIX/lib/libedit.so
about:
  description: 'This is an autotool- and libtoolized port of the NetBSD Editline library

    (libedit). This Berkeley-style licensed command line editor library provides

    generic line editing, history, and tokenization functions, similar to those

    found in GNU Readline

    '
  doc_url: https://thrysoee.dk/editline/
  home: https://thrysoee.dk/editline/
  license: BSD-2-Clause
  license_family: BSD
  license_file: COPYING
  summary: Editline Library (libedit)
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 18eee407-5b25-45e2-ac8a-a9f86002e4b4
  recipe-maintainers:
    - djsutherland
    - mingwandroid
    - scopatz
  remote_url: git@github.com:AnacondaRecipes/libedit-feedstock.git
  sha: 7a7d7fa76795c754a54ef5b256c4766d665f6034
